index : releng | |
Archlinux32 release engineering | gitolite user |
summaryrefslogtreecommitdiff |
author | Andreas Baumann <mail@andreasbaumann.cc> | 2022-02-03 20:30:03 +0100 |
---|---|---|
committer | Andreas Baumann <mail@andreasbaumann.cc> | 2022-02-03 20:30:03 +0100 |
commit | b6fa60ae18987231e77cbd125b3e662d3a0f08c8 (patch) | |
tree | 538c77607bd98ddd12078234312a15c2684ba71c /build-iso | |
parent | b43bf951c7471fabd2301641ba3503bacf5b91e7 (diff) |
-rwxr-xr-x | build-iso | 9 |
@@ -22,7 +22,7 @@ usage() { >&2 echo " -h|--help: show this help and exit." >&2 echo " --config mkarchiso configuration to use, default is '$CONFIG'." >&2 echo " --arch architecture to build ISO for, default is '$ARCH'." - >&2 echo " --outputdir where to write the isos, default is '~/archisos." + >&2 echo " --output-dir where to write the isos, default is '~/archisos." >&2 echo " --iso name of the resulting ISO, default is '$ISO'." >&2 echo " --no-cleanup do not clean up tmpdir after run, for debugging." [ -z "$1" ] && exit 1 || exit "$1" @@ -112,11 +112,12 @@ echo "architecture: $arch" echo "destination ISO file: $iso" sleep 5 -echo "building $ISO..." +echo "building $iso..." tmp_dir=$(mktemp -d) trap 'rm -rf --one-file-system "${tmp_dir}"' EXIT -arch="${arch}" setarch i686 mkarchiso -L "ARCH32_$DATE" -o "${output_dir}" -w "${tmp_dir}" -v "/usr/local/share/archiso/configs/${config}" - +env arch="${arch}" setarch i686 mkarchiso \ + -L "ARCH32_$DATE" -o "${output_dir}" -w "${tmp_dir}" -v "/usr/local/share/archiso/configs/${config}" + if [ "${no_cleanup}" -eq 1 ]; then echo "no-cleanup specified, find your temporary data in ${tmp_dir}.." fi |